<?php

namespace June\Controller\StoreApi;

use Exception;
use Shopware\Core\Framework\Routing\Annotation\RouteScope;
use Shopware\Core\System\SystemConfig\SystemConfigService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Bundle\FrameworkBundle\Console\Application;
use Symfony\Component\Console\Output\BufferedOutput;
use Symfony\Component\HttpKernel\KernelInterface;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Console\Input\ArrayInput;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class ExportOrderController
 * @package June\Controller\StoreApi
 * @RouteScope(scopes={"store-api"})
 */
class ExportOrderController extends AbstractController {


    private SystemConfigService $configService;

    private KernelInterface $kernel;

    public function __construct
    (
        SystemConfigService $configService,
        KernelInterface $kernel
    )
    {
        $this->configService = $configService;
        $this->kernel = $kernel;
    }

    /**
     * @Route("/store-api/export-orders", methods={"GET"}, defaults={"auth_required"=false})
     * @throws Exception
     */
    function startJuneExport(): Response
    {
        $this->configService->set('June.config.startExport', true);
        sleep(5);
        $this->execute('scheduled-task:register');

        return $this->redirect('/admin#/june/cms/export-orders');
    }

    private function execute($command) {
        $application = new Application($this->kernel);
        $application->setAutoExit(false);

        $input = new ArrayInput([
            'command' => $command
        ]);

        $output = new BufferedOutput();
        try {
            $application->run($input, $output);
        } catch (Exception $e) {

        }
    }
}
