<?php declare(strict_types=1);

namespace June\Core\Content\Flow\Subscriber;

use Shopware\Core\Framework\Event\BusinessEventCollectorEvent;
use June\Core\Framework\Event\JuneMailAware;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class BusinessEventCollectorSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
            BusinessEventCollectorEvent::NAME => 'addJuneMailAware',
        ];
    }

    public function addJuneMailAware(BusinessEventCollectorEvent $event): void
    {
        foreach ($event->getCollection()->getElements() as $definition) {

            $definition->addAware(JuneMailAware::class);
        }
    }
}
