<?php
declare(strict_types=1);

namespace June\Core\Content\JuneFlowAction;

use Shopware\Core\Framework\DataAbstractionLayer\EntityDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IdField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

class JuneFlowActionDefinition extends EntityDefinition
{
    public const ENTITY_NAME = 'juneflowaction';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new IdField('id', 'id'))->addFlags(new Required(), new PrimaryKey()),
            (new StringField('collect_token', 'collect_token')),
            (new StringField('name', 'name')),
        ]);
    }

    public function getEntityClass(): string
    {
        return JuneFlowActionEntity::class;
    }

    public function getCollectionClass(): string
    {
        return JuneFlowActionCollection::class;
    }
}
