<?php
declare(strict_types=1);

namespace June\Core\Content\JunePage;

use Shopware\Core\Framework\DataAbstractionLayer\EntityDefinition;
use Shopware\Core\Framework\DataAbstractionLayer\Field\BlobField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\PrimaryKey;
use Shopware\Core\Framework\DataAbstractionLayer\Field\Flag\Required;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IdField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\IntField;
use Shopware\Core\Framework\DataAbstractionLayer\Field\StringField;
use Shopware\Core\Framework\DataAbstractionLayer\FieldCollection;

class JunePageDefinition extends EntityDefinition
{
    public const ENTITY_NAME = 'junepage';

    public function getEntityName(): string
    {
        return self::ENTITY_NAME;
    }

    protected function defineFields(): FieldCollection
    {
        return new FieldCollection([
            (new IdField('id', 'id'))->addFlags(new Required(), new PrimaryKey()),
            (new StringField('sitemapid', 'sitemapid')),
            (new StringField('sitemapnodename', 'sitemapnodename')),
            (new StringField('sitemapnodeid', 'sitemapnodeid')),
            (new BlobField('html', 'html')),
            (new BlobField('css', 'css')),
            (new BlobField('js', 'js'))
        ]);
    }

    public function getEntityClass(): string
    {
        return JunePageEntity::class;
    }

    public function getCollectionClass(): string
    {
        return JunePageCollection::class;
    }
}
