<?php declare(strict_types = 1);

namespace June\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1653387636JunePage extends MigrationStep
{

    public function getCreationTimestamp(): int
    {
        return 1653387636;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
        CREATE TABLE IF NOT EXISTS `junepage` (
            `id` Binary(16) NOT NULL,
            `sitemapid` text NOT NULL,
            `sitemapnodename` text NOT NULL,
            `sitemapnodeid` text NOT NULL,
            `html` MEDIUMBLOB NOT NULL,
            `css` BLOB NOT NULL,
            `js` BLOB NOT NULL,
            `created_at` DATETIME(3) NOT NULL,
            `updated_at` DATETIME(3),
            PRIMARY KEY (`id`)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
SQL;
        $connection->executeStatement($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
        // TODO: Implement updateDestructive() method.
    }
}
