const { Module } = Shopware;

import './blocks/june-page';

import './component/june-vertical-tabs';

import  './elements/june-page';

import './extension/sw-cms/component/sw-cms-sidebar';

import './page/june-export-orders'

import './page/june-page-list';

import './page/june-token/june-token-list';
import './page/june-token/june-token-create';
import './page/june-token/june-token-detail';

import deDE from './snippet/de-DE.json';
import enGB from './snippet/en-GB.json';

Module.register('june-cms', {
    type: 'plugin',
    name: 'JUNE',
    title: 'JUNE',
    description: 'Content for and from the JUNE Plugin',
    color: '#00b39d',
    icon: 'default-symbol-content',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        index: {
            components: {
                default: 'june-page-list'
            },
            path: 'index',
        },
        token: {
            component: 'june-token-list',
            path: 'token',
            meta: {
                parentPath: 'june.cms.index'
            },
        },
        'token.create': {
            path: 'token/new',
            component: 'june-token-create',
            meta: {
                parentPath: 'june.cms.token'
            }
        },
        'token.detail': {
            path: 'token/detail/:id',
            component: 'june-token-detail',
            meta: {
                parentPath: 'june.cms.token'
            }
        },
        'export-orders': {
            path: 'export-orders',
            component: 'june-export-orders',
            meta: {
                parentPath: 'june.cms.index'
            }
        }
    },

    navigation: [
        {
            id: 'june-cms',
            label: 'JUNE',
            path: 'june.cms.index',
            parent: 'sw-marketing',
        }
    ]
});
