const { Component, Mixin } = Shopware;
import template from './list.twig';
import './page-list.scss';

const Criteria = Shopware.Data.Criteria;

Component.register('june-page-list', {
    template,

    inject: ['repositoryFactory'],

    data() {
        return {
            junePage: null,
            total: 0,
            isLoading: true,
        }
    },

    created() {
        this.getList();
    },

    computed: {
        junePageRepository() {
            return this.repositoryFactory.create('junepage');
        },

        columns() {
            return [
                {
                    property: 'sitemapnodename',
                    dataIndex: 'sitemapnodename',
                    label: 'Sitemap Name',
                    primary: true,
                    inlineEdit: 'string'
                },
            ]
        }
    },

    methods: {
        getList() {
            this.isLoading = true;
            const criteria = new Criteria();

            criteria.addSorting(Criteria.sort('createdAt', 'DESC', false));

            return this.junePageRepository.search(criteria, Shopware.Context.api).then((result) => {
                this.total = result.total;
                this.junePage = result;
                this.isLoading = false;
            })
        }
    }
});
